Subject: Re: [PATCH v3] git-send-email: use ! to indicate relative path to command

From: Gregory Anders <[email-masked]>
Date: Tue, 11 May 2021 19:58:29 -0600

On Tue, 11 May 2021 20:52 -0500, Felipe Contreras wrote:
>Jeff King wrote:
>> On Tue, May 11, 2021 at 08:08:50PM -0500, Felipe Contreras wrote:
>>
>> > > Yeah, that was mentioned in the thread I linked earlier. I think it
>> > > would be a fine solution, too. It would probably make sense for it to
>> > > use the shell, as suggested elsewhere, and to call it "smtp-command" for
>> > > consistency with other parts of Git (I'm thinking particularly of
>> > > GIT_SSH versus GIT_SSH_COMMAND, where the latter was introduced to fix
>> > > the defect that the former could not provide any arguments).
>> >
>> > But it would be "smtpserver-command", and I don't think that the best
>> > naming, because it doesn't necessarily have anything to do with SMTP, or
>> > a server.
>> >
>> > I think simply sendemail.command is perfectly fine.
>>
>> Aren't there many other "commands" run by send-email, like --to-cmd and
>> --cc-cmd? It probably should indicate somehow that it is the command for
>> sending mail. I agree it does not have to say "SMTP". If it is meant to
>> be compatible with sendmail, then maybe "sendemail.sendmailCommand" and
>> "--sendmail-cmd" would work.
>
>Yes, although I find sendemail.sendmailCommand awfully redundant.
>I would prefer sendemail.mainCommand, but to me sendemail.command
>implies it's the main command as opposed to all ther other commands.
>
>Just like there's many presidents in USA (of companies, organizations,
>and student unions), but when you say "the president of USA" it's
>understood which president you are talking about.
>
>Cheers.
>
>-- 
>Felipe Contreras

I agree with Jeff here. While I also find sendemail.sendmailCommand 
redundant, it makes more sense when used as a command line option:

     git send-email --sendmail-cmd <cmd>

Conversely, `--command` is more ambiguous and less clear. Explicitly 
using `sendmailCommand` makes it clear that the user is specifying a 
command that is compatible with the `sendmail` program.